KDE 4.5 PyKDE API Reference

- KDE's Python API

# Solid Namespace Reference

`from PyKDE4.solid.Solid import *`

## Detailed Description

## Class Index

A | DeviceNotifier (Solid) | Predicate (Solid)
AcAdapter (Solid) | DvbInterface (Solid) | Processor (Solid)
AudioInterface (Solid) | G | S
B | GenericInterface (Solid) | SerialInterface (Solid)
Battery (Solid) | N | SmartCardReader (Solid)
Block (Solid) | NetworkInterface (Solid) | StorageAccess (Solid)
Button (Solid) | Notifier (Solid.Networking) | StorageDrive (Solid)
C | O | StorageVolume (Solid)
Camera (Solid) | OpticalDisc (Solid) | V
D | OpticalDrive (Solid) | Video (Solid)
Device (Solid) | P |
DeviceInterface (Solid) | PortableMediaPlayer (Solid) |

## Enumerations
ErrorType | { NoError, UnauthorizedOperation }

## Enumeration Documentation

ErrorType

Enumerator:

  NoError = 0 |
  UnauthorizedOperation |